package mtb

import (
        "f5"
)

type PayServerCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type AccountDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type PayDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type GameDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type ConfDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        wx_url string
        wx_notify_token string
        wx_notify_encoding_aes_key string
        wx_merchant_id string
        wx_certificate_sn string
        wx_merchant_api_key string
        wx_msg_notify_token string
        wx_msg_notify_encoding_aes_key string
        wx_nofity_host string
        wx_link_title string
        wx_link_description string
        wx_merchant_public_key_id string

        _flags1_ uint64
        _flags2_ uint64
}

type RechargeCurrency struct {
        currency_name string
        contract_name string
        currency_decimal int64

        _flags1_ uint64
        _flags2_ uint64
}

type Item struct {
        name string
        id int32
        type_ int32
        sub_type int32

        _flags1_ uint64
        _flags2_ uint64
}

type Language struct {
        info string
        en string

        _flags1_ uint64
        _flags2_ uint64
}

type Recharge struct {
        id int32
        diamond int32
        present_diamond int32
        price int32
        max_buy_times int32
        can_email_buy int32

        _flags1_ uint64
        _flags2_ uint64
}

type Wxconfig struct {
        gameid int64
        appid string
        appkey string
        appsecret string
        zoneid string
        offerid string
        notifyurl string

        _flags1_ uint64
        _flags2_ uint64
}

type LoginRedis struct {
        host string
        port int32
        passwd string
        database int32
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

func (this *PayServerCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *PayServerCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *PayServerCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *PayServerCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *PayServerCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *PayServerCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *AccountDb) GetHost() string {
        return this.host
}

func (this *AccountDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *AccountDb) GetPort() int32 {
        return this.port
}

func (this *AccountDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *AccountDb) GetUser() string {
        return this.user
}

func (this *AccountDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *AccountDb) GetPasswd() string {
        return this.passwd
}

func (this *AccountDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *AccountDb) GetDatabase() string {
        return this.database
}

func (this *AccountDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *AccountDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *AccountDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *AccountDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *AccountDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *PayDb) GetHost() string {
        return this.host
}

func (this *PayDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *PayDb) GetPort() int32 {
        return this.port
}

func (this *PayDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *PayDb) GetUser() string {
        return this.user
}

func (this *PayDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *PayDb) GetPasswd() string {
        return this.passwd
}

func (this *PayDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *PayDb) GetDatabase() string {
        return this.database
}

func (this *PayDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *PayDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *PayDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *PayDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *PayDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *GameDb) GetHost() string {
        return this.host
}

func (this *GameDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *GameDb) GetPort() int32 {
        return this.port
}

func (this *GameDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *GameDb) GetUser() string {
        return this.user
}

func (this *GameDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *GameDb) GetPasswd() string {
        return this.passwd
}

func (this *GameDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *GameDb) GetDatabase() string {
        return this.database
}

func (this *GameDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *GameDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *GameDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *GameDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *GameDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *ConfDb) GetHost() string {
        return this.host
}

func (this *ConfDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *ConfDb) GetPort() int32 {
        return this.port
}

func (this *ConfDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *ConfDb) GetUser() string {
        return this.user
}

func (this *ConfDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *ConfDb) GetPasswd() string {
        return this.passwd
}

func (this *ConfDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *ConfDb) GetDatabase() string {
        return this.database
}

func (this *ConfDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *ConfDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *ConfDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *ConfDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *ConfDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetWxUrl() string {
        return this.wx_url
}

func (this *Config) HasWxUrl() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Config) GetWxNotifyToken() string {
        return this.wx_notify_token
}

func (this *Config) HasWxNotifyToken() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetWxNotifyEncodingAesKey() string {
        return this.wx_notify_encoding_aes_key
}

func (this *Config) HasWxNotifyEncodingAesKey() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Config) GetWxMerchantId() string {
        return this.wx_merchant_id
}

func (this *Config) HasWxMerchantId() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Config) GetWxCertificateSn() string {
        return this.wx_certificate_sn
}

func (this *Config) HasWxCertificateSn() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Config) GetWxMerchantApiKey() string {
        return this.wx_merchant_api_key
}

func (this *Config) HasWxMerchantApiKey() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetWxMsgNotifyToken() string {
        return this.wx_msg_notify_token
}

func (this *Config) HasWxMsgNotifyToken() bool {
        return (this._flags1_ & (uint64(1) << 8)) > 0
}

func (this *Config) GetWxMsgNotifyEncodingAesKey() string {
        return this.wx_msg_notify_encoding_aes_key
}

func (this *Config) HasWxMsgNotifyEncodingAesKey() bool {
        return (this._flags1_ & (uint64(1) << 9)) > 0
}

func (this *Config) GetWxNofityHost() string {
        return this.wx_nofity_host
}

func (this *Config) HasWxNofityHost() bool {
        return (this._flags1_ & (uint64(1) << 10)) > 0
}

func (this *Config) GetWxLinkTitle() string {
        return this.wx_link_title
}

func (this *Config) HasWxLinkTitle() bool {
        return (this._flags1_ & (uint64(1) << 11)) > 0
}

func (this *Config) GetWxLinkDescription() string {
        return this.wx_link_description
}

func (this *Config) HasWxLinkDescription() bool {
        return (this._flags1_ & (uint64(1) << 12)) > 0
}

func (this *Config) GetWxMerchantPublicKeyId() string {
        return this.wx_merchant_public_key_id
}

func (this *Config) HasWxMerchantPublicKeyId() bool {
        return (this._flags1_ & (uint64(1) << 13)) > 0
}

func (this *RechargeCurrency) GetCurrencyName() string {
        return this.currency_name
}

func (this *RechargeCurrency) HasCurrencyName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *RechargeCurrency) GetContractName() string {
        return this.contract_name
}

func (this *RechargeCurrency) HasContractName() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *RechargeCurrency) GetCurrencyDecimal() int64 {
        return this.currency_decimal
}

func (this *RechargeCurrency) HasCurrencyDecimal() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetName() string {
        return this.name
}

func (this *Item) HasName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Item) GetId() int32 {
        return this.id
}

func (this *Item) HasId() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Item) GetType() int32 {
        return this.type_
}

func (this *Item) HasType() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetSubType() int32 {
        return this.sub_type
}

func (this *Item) HasSubType() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Language) GetInfo() string {
        return this.info
}

func (this *Language) HasInfo() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Language) GetEn() string {
        return this.en
}

func (this *Language) HasEn() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Recharge) GetId() int32 {
        return this.id
}

func (this *Recharge) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Recharge) GetDiamond() int32 {
        return this.diamond
}

func (this *Recharge) HasDiamond() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Recharge) GetPresentDiamond() int32 {
        return this.present_diamond
}

func (this *Recharge) HasPresentDiamond() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Recharge) GetPrice() int32 {
        return this.price
}

func (this *Recharge) HasPrice() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Recharge) GetMaxBuyTimes() int32 {
        return this.max_buy_times
}

func (this *Recharge) HasMaxBuyTimes() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Recharge) GetCanEmailBuy() int32 {
        return this.can_email_buy
}

func (this *Recharge) HasCanEmailBuy() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Wxconfig) GetGameid() int64 {
        return this.gameid
}

func (this *Wxconfig) HasGameid() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Wxconfig) GetAppid() string {
        return this.appid
}

func (this *Wxconfig) HasAppid() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Wxconfig) GetAppkey() string {
        return this.appkey
}

func (this *Wxconfig) HasAppkey() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Wxconfig) GetAppsecret() string {
        return this.appsecret
}

func (this *Wxconfig) HasAppsecret() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Wxconfig) GetZoneid() string {
        return this.zoneid
}

func (this *Wxconfig) HasZoneid() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Wxconfig) GetOfferid() string {
        return this.offerid
}

func (this *Wxconfig) HasOfferid() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Wxconfig) GetNotifyurl() string {
        return this.notifyurl
}

func (this *Wxconfig) HasNotifyurl() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *LoginRedis) GetHost() string {
        return this.host
}

func (this *LoginRedis) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *LoginRedis) GetPort() int32 {
        return this.port
}

func (this *LoginRedis) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *LoginRedis) GetPasswd() string {
        return this.passwd
}

func (this *LoginRedis) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *LoginRedis) GetDatabase() int32 {
        return this.database
}

func (this *LoginRedis) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *LoginRedis) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *LoginRedis) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *LoginRedis) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *LoginRedis) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}


func (this *PayServerCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *AccountDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *PayDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *GameDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *ConfDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.wx_url, "wx_url", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.wx_notify_token, "wx_notify_token", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.wx_notify_encoding_aes_key, "wx_notify_encoding_aes_key", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.wx_merchant_id, "wx_merchant_id", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.wx_certificate_sn, "wx_certificate_sn", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.wx_merchant_api_key, "wx_merchant_api_key", &this._flags1_, 7, kv)
        f5.ReadMetaTableField(&this.wx_msg_notify_token, "wx_msg_notify_token", &this._flags1_, 8, kv)
        f5.ReadMetaTableField(&this.wx_msg_notify_encoding_aes_key, "wx_msg_notify_encoding_aes_key", &this._flags1_, 9, kv)
        f5.ReadMetaTableField(&this.wx_nofity_host, "wx_nofity_host", &this._flags1_, 10, kv)
        f5.ReadMetaTableField(&this.wx_link_title, "wx_link_title", &this._flags1_, 11, kv)
        f5.ReadMetaTableField(&this.wx_link_description, "wx_link_description", &this._flags1_, 12, kv)
        f5.ReadMetaTableField(&this.wx_merchant_public_key_id, "wx_merchant_public_key_id", &this._flags1_, 13, kv)
}

func (this *RechargeCurrency) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.currency_name, "currency_name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.contract_name, "contract_name", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.currency_decimal, "currency_decimal", &this._flags1_, 3, kv)
}

func (this *Item) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.name, "name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.sub_type, "sub_type", &this._flags1_, 4, kv)
}

func (this *Language) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.info, "info", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.en, "en", &this._flags1_, 2, kv)
}

func (this *Recharge) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.diamond, "diamond", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.present_diamond, "present_diamond", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.price, "price", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.max_buy_times, "max_buy_times", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.can_email_buy, "can_email_buy", &this._flags1_, 6, kv)
}

func (this *Wxconfig) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameid, "gameid", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.appid, "appid", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.appkey, "appkey", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.appsecret, "appsecret", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.zoneid, "zoneid", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.offerid, "offerid", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.notifyurl, "notifyurl", &this._flags1_, 7, kv)
}

func (this *LoginRedis) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 6, kv)
}
